import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  npiNumber: SortOrderSchema.optional(),
  providerName: SortOrderSchema.optional(),
  sortOrder: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const NpiProviderMinOrderByAggregateInputObjectSchema: z.ZodType<Prisma.NpiProviderMinOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.NpiProviderMinOrderByAggregateInput>;
export const NpiProviderMinOrderByAggregateInputObjectZodSchema = makeSchema();
